iProfiler Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iProfiler Struct Reference

Interface to profiler. More...

`#include <ivaria/profile.h>`

Inheritance diagram for iProfiler:

List of all members.

## Public Member Functions
virtual CS::Debug::ProfileCounter * | GetProfileCounter (const char *countername)=0
| Get a pointer to a profiler counter.
virtual const csArray < CS::Debug::ProfileCounter * > & | GetProfileCounters ()=0
| Get all profiler counters.
virtual CS::Debug::ProfileZone * | GetProfileZone (const char *zonename)=0
| Get a pointer to a profiler zone.
virtual const csArray < CS::Debug::ProfileZone * > & | GetProfileZones ()=0
| Get all profiler zones.
virtual void | Reset ()=0
| Reset all zones and counters.
virtual void | StartLogging (const char *filenamebase, iObjectRegistry *objreg)=0
| Start logging profiling data to file.
virtual void | StopLogging ()=0
| Stop logging.
## Static Public Member Functions
Deprecated methods
Deprecated: These methods are present solely for source code compatibility; don't use.
static void | RegisterProfilePoint (const char *, const char *, int, uint32 *, uint32 *, uint32 *, uint32 *)
static void | Dump ()

## Detailed Description

Interface to profiler.

Definition at line 114 of file profile.h.

## Member Function Documentation

virtual CS::Debug::ProfileCounter* iProfiler::GetProfileCounter | ( | const char * | countername | ) | `[pure virtual]`

Get a pointer to a profiler counter.

Will register a new counter if it doesn't exist. The pointer is guaranteed to be valid until the profiler object is destroyed.

virtual const csArray<CS::Debug::ProfileCounter*>& iProfiler::GetProfileCounters | ( |  | ) | `[pure virtual]`

Get all profiler counters.

virtual CS::Debug::ProfileZone* iProfiler::GetProfileZone | ( | const char * | zonename | ) | `[pure virtual]`

Get a pointer to a profiler zone.

Will register a new zone if it doesn't exist. The pointer is guaranteed to be valid until the profiler object is destroyed.

virtual const csArray<CS::Debug::ProfileZone*>& iProfiler::GetProfileZones | ( |  | ) | `[pure virtual]`

Get all profiler zones.

virtual void iProfiler::Reset | ( |  | ) | `[pure virtual]`

Reset all zones and counters.

virtual void iProfiler::StartLogging | ( | const char * | filenamebase,
|  | iObjectRegistry * | objreg
| ) |  | `[pure virtual]`

Start logging profiling data to file.

Parameters:

  filenamebase | Path and basic portion of filename. This will be postfixed with an unique id for every logging session.
  objreg | Object registry. If none is given, or the given object registry does not contain an iVFS instance, filenamebase is treated as a native path.

virtual void iProfiler::StopLogging | ( |  | ) | `[pure virtual]`

Stop logging.

The documentation for this struct was generated from the following file:

- ivaria/profile.h